* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  background-color: black;
  height: 100vh;
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  justify-content: center;
  gap: 5px;
  font-family: Arial, Helvetica, sans-serif;
}

a {
  width: 100px;
  height: 100px;
  background-color: white;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

svg {
  width: 70px;
  height: 70px;
}

a::before {
  content: attr(data-name);
  color: black;
  background-color: var(--color);
  position: absolute;
  z-index: -1;
  padding: 5px 10px;
  border-radius: 50px;
  font-weight: bold;
  font-size: 19px;
  transition: all 0.25s ease;
  opacity: 0;
  transform: rotate(25deg);
}
a:hover::before {
  opacity: 1;
  transform: translateY(-75px);
}

a::after {
  content: "";
  border-top: 8px solid var(--color);
  border-right: 8px solid transparent;
  border-left: 8px solid transparent;
  position: absolute;
  transition: all 0.25s ease;
  opacity: 0;
  z-index: -1;
}
a:hover::after {
  transform: translateY(-56px);
  opacity: 1;
}

a:hover {
  background-color: var(--color);
  fill: white;
}
